using System;
using Server;
using Server.Network;

namespace Server.Items
{
	public class FarmablePumpkin : FarmableCrop
	{
		public static int GetCropID()
		{
			return 0x0DC6;
		}

		public override Item GetCropObject()
		{
			Pumpkin pumpkin = new Pumpkin();

			pumpkin.ItemID = 0xC6A;

			return pumpkin;
		}

		public override int GetPickedID()
		{
			return 0x0C5F;
		}

		[Constructable]
		public FarmablePumpkin(): base( GetCropID() )
		{
			Name = "pumpkin";
		}

		public FarmablePumpkin( Serial serial )
			: base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}